---
search:
  tags:
    - Emails
    - GET
seo:
  description: >-
    Newest first, with cursor pagination: after takes the last id of a page and
    pages toward older… Reference for the GET /emails endpoint in the
    BillionSend API.
sidebar:
  label: List emails
  badge: GET
title: List emails
type: openapi-operation
---
Newest first, with cursor pagination: `after` takes the last id of a page and pages toward older items, `before` takes the first id and pages back toward newer ones.

`GET /emails`

**Responses**

- `200` — Emails
- `401` — Missing, malformed, unknown or revoked API key
- `403` — Restricted API key
- `422` — Validation error
- `429` — Over the rate limit (rate\_limit\_exceeded, with Retry-After)

Response example, 200:

```json
{
  "object": "list",
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "from": "string",
      "to": [
        "string"
      ],
      "cc": [
        "string"
      ],
      "bcc": [
        "string"
      ],
      "reply_to": [
        "string"
      ],
      "subject": "string",
      "created_at": "string",
      "scheduled_at": "string",
      "last_event": "string"
    }
  ],
  "has_more": true
}
```
